Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224543 - closing requester window crashes xemacs
Summary: closing requester window crashes xemacs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 08:25 UTC by Stefan Becker
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 21.5.28-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-14 15:48:48 UTC


Attachments (Terms of Use)
gdb backtrace (deleted)
2007-01-26 16:48 UTC, Ville Skyttä
no flags Details

Description Stefan Becker 2007-01-26 08:25:07 UTC
Description of problem:

If you use the window close button on a requester then XEmacs crashes


Version-Release number of selected component (if applicable):

xemacs-common-21.5.27-8.fc6
xemacs-packages-base-20060510-3.fc6
xemacs-packages-extra-20060510-4.fc6
xemacs-21.5.27-8.fc6


How reproducible: Always


Steps to Reproduce:

1. (shell)  ls >test.txt
2. (xemacs) CTRL-X + F + ~/test.txt
3. (shell)  ls >test.txt
4. (xemacs) menu File -> Open..., select ~/test.txt
5. (xemacs) Requestor opens:

          Question
          File test.txt changed on disk. Reread from disk?
          Yes    No   (empty???)  Cancel

6. (xemacs) press window close button

 
Actual results: xemacs crashes with backtrace (see below)


Expected results: window should close


Additional info: xemacs output

Fatal error: assertion failed, file lwlib-Xaw.c, line 606, abort()

Fatal error (6).

...

Lisp backtrace follows:

  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # bind (inhibit-quit)
  next-event()
  byte-code("..." [id event next-event eval-event-p event-function
internal-make-dialog-box-exit event-object throw --cl-block-nil-- (nil)
dispatch-event] 3)
  # (catch --cl-block-nil-- ...)
  # bind (id sym)
  byte-code("..." [thunk frames id sym eval gensym lambda (did) when eq quote
(did) mapc (quote enable-frame) (enqueue-eval-event (quote
internal-make-dialog-box-exit) did) remove-hook (quote delete-dialog-box-hook)
framep add-hook delete-frame-hook delete-dialog-box-hook disable-frame
--cl-block-nil-- (byte-code "��!�!��aǀȀ�"�!)\\" [id event next-event
eval-event-p event-function internal-make-dialog-box-exit event-object throw
--cl-block-nil-- (nil) dispatch-event] 3)] 11)
  # (catch internal-dialog-box-finish ...)
  # bind (frames thunk)
  dialog-box-modal-loop((make-dialog-box-internal (quote question) (quote
(:question "File test.txt changed on disk.  Reread from disk? " :buttons (["Yes"
(dialog-box-finish t)] ["No" (dialog-box-finish nil)] nil ["Cancel"
(dialog-box-cancel)])))))
  # bind (cl-modal)
  # (unwind-protect ...)
  # bind (--letf-save--101735 --letf-bound--101736 cl-keys type)
  make-dialog-box(question :question "File test.txt changed on disk.  Reread
from disk? " :modal t :buttons (["Yes" (dialog-box-finish t)] ["No"
(dialog-box-finish nil)] nil ["Cancel" (dialog-box-cancel)]))
  # (unwind-protect ...)
  # bind (ssf101732 prompt)
  yes-or-no-p-dialog-box("File test.txt changed on disk.  Reread from disk? ")
  # bind (prompt)
  yes-or-no-p("File test.txt changed on disk.  Reread from disk? ")
  # bind (number truename buf wildcards rawfile nowarn filename)
  find-file-noselect("~/test.txt" nil nil t)
  # bind (wildcards codesys filename)
  #<compiled-function (filename &optional codesys wildcards) "...(77)"
[wildcards filename coding-system-for-read codesys bufname value
get-coding-system find-file-noselect nil file-exists-p buffer-file-name
local-variable-p buffer-file-coding-system switch-to-buffer mapcar] 6 1143343
(list (read-file-name "Find file: ") (and current-prefix-arg (read-coding-system
"Coding system: ")) t)>("~/test.txt" nil t)
  call-interactively(find-file)
  # (condition-case ... . error)
  # (catch top-level ...)

Comment 1 Ville Skyttä 2007-01-26 16:46:20 UTC
Reproduced, attaching gdb backtrace.

(I had to run with -vanilla in order to reproduce; I have customized
revert-without-query to ".*" so XEmacs never asks me if it should revert
something...)

Comment 2 Ville Skyttä 2007-01-26 16:48:50 UTC
Created attachment 146687 [details]
gdb backtrace

Comment 3 Ville Skyttä 2007-01-27 08:31:31 UTC
Bug report forwarded upstream.

Comment 4 Stefan Becker 2007-06-14 10:41:14 UTC
The latest F7 update to xemacs-21.5.28-2.fc7 fixes the problem:

-- Fix: Crash when deleting dialog via window manager -- Stephen J. Turnbull

I guess pushing .28 for FC6 will fix it there too...


Comment 5 Ville Skyttä 2007-06-14 15:48:48 UTC
Already built and queued, should appear shortly in FC6 too.
http://buildsys.fedoraproject.org/build-status/job.psp?uid=34151


Note You need to log in before you can comment on or make changes to this bug.